<!DOCTYPE html>
<html lang="fr">

<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <link rel="icon" href="favicon.png">
  <meta property="og:type" content="website">

  <meta name="description" content="Communauté francophone d'utilisateurs d'Ubuntu">
  <title>Ubuntu-fr</title>
  <meta property="og:image" content="assets-demo/Focal-Fossa_WP_1920x1080.png">
  <meta name="theme-color" content="#5E2750">

  <link rel="stylesheet" href="css/main.css">
  <link rel="stylesheet" href="css/doc.css">
  
  <script type="module" src="js/app.js"></script>
  <script type="module" src="js/doc.js"></script>

</head>

<body>
  <header>
    <div class="topbar">
      <a href="./" id="logo">
        <img src="img/logo.svg">
      </a>
      <div id="sandwich">
        <div></div>
        <div></div>
        <div></div>
      </div>
    </div>
    <div class="navbar">
      <nav>
        <a href="index.html">Accueil</a>
        <a href="doc.html" class="active">Documentation</a>
        <a href="forum.html">Forum</a>
        <a href="index.html">Planet</a>
      </nav>
      <div class="switchers">
        <div id="switcher-wide"><div></div><div></div></div>
        <div href="#" class="switcher" id="switcher-light"></div>
        <div href="#" class="switcher" id="switcher-dark"></div>
      </div>
    </div>
  </header>
  <main>


    <div class="dw-content">
      <div class="tags"><span>
          <a href="/serveur" class="wikilink1" title="serveur" rel="tag">serveur</a>,
          <a href="/internet" class="wikilink1" title="internet" rel="tag">internet</a>,
          <a href="/cms" class="wikilink1" title="cms" rel="tag">cms</a>
        </span></div>

      <p>
        <a href="https://doc.ubuntu-fr.org/lib/exe/fetch.php?tok=005e3d&amp;media=https%3A%2F%2Fs.w.org%2Fstyle%2Fimages%2Fabout%2FWordPress-logotype-standard.png"
          class="media" title="https://s.w.org/style/images/about/WordPress-logotype-standard.png"><img
            src="https://doc.ubuntu-fr.org/lib/exe/fetch.php?w=260&amp;tok=d9e2ff&amp;media=https%3A%2F%2Fs.w.org%2Fstyle%2Fimages%2Fabout%2FWordPress-logotype-standard.png"
            class="mediaright img-responsive" alt="" width="260" /></a>
      </p>

      <h1 class="sectionedit1 page-header" id="wordpress">WordPress</h1>
      <div class="level1">

        <p>
          <a href="https://fr.wikipedia.org/wiki/WordPress" class="interwiki iw_wpfr"
            title="https://fr.wikipedia.org/wiki/WordPress">WordPress</a> est le <a href="/cms" class="wikilink1"
            title="cms">CMS</a> le plus utilisé du monde. En 2018 il représente presque un tiers des sites Internet !
        </p>

        <p>
          C&#039;est un projet né en 2003, ce qui est ancien pour une technologie du <a href="/web" class="wikilink1"
            title="web">Web</a>.
        </p>

        <p>
          Cause et conséquence de cette gigantesque communauté : il propose une quantité sidérante d&#039;extensions qui
          étendent ses fonctionnalités au delà du raisonnable (plus de 54000 plugins sur le dépôt officiel en 2018).
        </p>

        <p>
          <a href="https://doc.ubuntu-fr.org/_media/internet/twentyelevendefault1.png" class="media"
            title="internet:twentyelevendefault1.png"><img
              src="https://doc.ubuntu-fr.org/_media/internet/twentyelevendefault1.png?h=200&amp;tok=c2fcf8"
              class="media img-responsive" alt="" height="200" /></a>
          <a href="https://doc.ubuntu-fr.org/_media/internet/dashboard-welcome.png" class="media"
            title="internet:dashboard-welcome.png"><img
              src="https://doc.ubuntu-fr.org/_media/internet/dashboard-welcome.png?h=200&amp;tok=88f076"
              class="media img-responsive" alt="" height="200" /></a>
          <a href="https://doc.ubuntu-fr.org/_media/internet/pages-edit-page.png" class="media"
            title="internet:pages-edit-page.png"><img
              src="https://doc.ubuntu-fr.org/_media/internet/pages-edit-page.png?h=200&amp;tok=bed260"
              class="media img-responsive" alt="" height="200" /></a>
          <a href="https://doc.ubuntu-fr.org/_media/internet/managefiles.png" class="media"
            title="internet:managefiles.png"><img
              src="https://doc.ubuntu-fr.org/_media/internet/managefiles.png?h=200&amp;tok=64a99c"
              class="media img-responsive" alt="" height="200" /></a>
          <a href="https://doc.ubuntu-fr.org/_media/internet/appearance-install-theme-step1.png" class="media"
            title="internet:appearance-install-theme-step1.png"><img
              src="https://doc.ubuntu-fr.org/_media/internet/appearance-install-theme-step1.png?h=200&amp;tok=7b1dc4"
              class="media img-responsive" alt="" height="200" /></a>
        </p>
        <div class="noteimportant">Il ne faut pas confondre <em><a href="https://fr.wordpress.com/" class="urlextern"
              title="https://fr.wordpress.com/" rel="nofollow">WordPress.com</a></em> qui est une plateforme de blog
          commerciale gérée par <a href="https://fr.wikipedia.org/wiki/Automattic" class="interwiki iw_wpfr"
            title="https://fr.wikipedia.org/wiki/Automattic">Automattic</a>, et <em>WordPress</em>, le <abbr
            title="Content Management System">CMS</abbr> dont il est question ici et dont le site officiel est <a
            href="https://fr.wordpress.org/" class="urlextern" title="https://fr.wordpress.org/"
            rel="nofollow">fr.wordpress.org</a>.
        </div>
      </div>
      <div class='secedit editbutton_section editbutton_1'>
        <form class="button btn_secedit form-inline" method="post" action="/wordpress">
          <div class="no"><input type="hidden" name="do" value="edit" /><input type="hidden" name="rev"
              value="1590995398" /><input type="hidden" name="summary" value="[WordPress] " /><input type="hidden"
              name="target" value="section" /><input type="hidden" name="hid" value="wordpress" /><input type="hidden"
              name="codeblockOffset" value="0" /><input type="hidden" name="range" value="109-1116" /><button
              type="submit" title="WordPress" class=" btn btn-default btn btn-xs btn-default">Modifier</button></div>
        </form>
      </div>
      <h2 class="sectionedit2 page-header" id="installation">Installation</h2>
      <div class="level2">
        <div class="noteclassic">Le site officiel propose 2 documentations concernant l&#039;installation de WordPress :
          <a href="https://fr.wordpress.org/txt-install/" class="urlextern"
            title="https://fr.wordpress.org/txt-install/" rel="nofollow">une succincte</a>, l&#039;autre <a
            href="https://codex.wordpress.org/fr:Installer_WordPress" class="urlextern"
            title="https://codex.wordpress.org/fr:Installer_WordPress" rel="nofollow">plus complète</a>.
        </div>
        <div class="notetip">La plupart des hébergeurs web proposent une installation de WordPress simplifiée
          (&quot;<em>en 1 clic</em>&quot;).
        </div>
        <div class="noteclassic">WordPress étant une solution destinée à être déployée sur un serveur, toutes les
          manipulations dont nous traiterons ici se feront en ligne de commande.
        </div>
      </div>
      <div class='secedit editbutton_section editbutton_2'>
        <form class="button btn_secedit form-inline" method="post" action="/wordpress">
          <div class="no"><input type="hidden" name="do" value="edit" /><input type="hidden" name="rev"
              value="1590995398" /><input type="hidden" name="summary" value="[Installation] " /><input type="hidden"
              name="target" value="section" /><input type="hidden" name="hid" value="installation" /><input
              type="hidden" name="codeblockOffset" value="0" /><input type="hidden" name="range"
              value="1117-1667" /><button type="submit" title="Installation"
              class=" btn btn-default btn btn-xs btn-default">Modifier</button></div>
        </form>
      </div>
      <h3 class="sectionedit3" id="prerequis">Prérequis</h3>
      <div class="level3">

        <p>
          Pour installer WordPress vous aurez besoin d&#039;un <a href="/web#serveurs" class="wikilink1"
            title="web">serveur HTTP</a>, de <a href="/php" class="wikilink1" title="php">PHP</a>, et d&#039;un serveur
          de base de données MySQL (<a href="/mysql" class="wikilink1" title="mysql">MySQL</a> ou <a href="/mariadb"
            class="wikilink1" title="mariadb">MariaDB</a>).
        </p>
        <div class="noteclassic">Sur un hébergement web géré par l&#039;hébergeur, ces prérequis devraient déjà être en
          place, donc toutes ces étapes devraient être inutiles.
          <p>
            N&#039;hésitez pas à contacter le support de l&#039;hébergeur si ce n&#039;est pas le cas.
          </p>

        </div>
        <p>
          <a href="/apache2" class="wikilink1" title="apache2">Apache</a> est le serveur HTTP le plus couramment
          utilisé, et cette configuration (en conjonction avec MySQL et PHP) s&#039;appelle une pile <a href="/lamp"
            class="wikilink1" title="lamp">LAMP</a>.
        </p>

        <p>
          Donc pour installer <a href="/apache2" class="wikilink1" title="apache2">Apache</a>, <a href="/php"
            class="wikilink1" title="php">PHP</a> et <a href="/mysql" class="wikilink1" title="mysql">MySQL</a> ou <a
            href="/mariadb" class="wikilink1" title="mariadb">MariaDB</a>, suivez <a href="/lamp#installation"
            class="wikilink1" title="lamp">cette documentation</a>.
        </p>

        <p>
          Une fois la pile <a href="/lamp" class="wikilink1" title="lamp">LAMP</a> installée (avec les modules PHP les
          plus courants), on active le module <a href="/apache2#mod_rewrite" class="wikilink1"
            title="apache2">mod_rewrite</a>, dont a aussi besoin WordPress :
        </p>
        <pre class="code">sudo a2enmod rewrite</pre>

        <p>
          Nous allons ensuite créer un <a href="/apache2#hotes_virtuels" class="wikilink1" title="apache2">hôte
            virtuel</a> pour WordPress, dont la racine sera <code>/var/www/wordpress</code> :
        </p>
        <pre class="code">sudo nano /etc/apache2/sites-available/wordpress.conf</pre>

        <p>
          Ce qui ouvre avec <a href="/nano" class="wikilink1" title="nano">l&#039;éditeur nano</a> un fichier dans
          lequel nous allons coller :
        </p>
        <dl class="file">
          <dt><a href="/_export/code/wordpress?codeblock=2" title="Télécharger cet extrait"
              class="mediafile mf_conf">wordpress.conf</a></dt>
          <dd>
            <pre class="file">&lt;VirtualHost *:80&gt;
  ServerName wordpress.localhost
  DocumentRoot /var/www/wordpress
  &lt;Directory /var/www/wordpress&gt;
    AllowOverride all
    Require all granted
  &lt;/Directory&gt;
  ErrorLog /var/log/apache2/error.wordpress.log
  CustomLog /var/log/apache2/access.wordpress.log combined
&lt;/VirtualHost&gt;</pre>
          </dd>
        </dl>

        <p>
          Si un nom de domaine pointe sur le serveur, on l&#039;indique à la place de <code>wordpress.localhost</code>
          pour la directive <code>ServerName</code>.<br />

          (<code>Ctrl+X</code> puis <code>O</code> pour quitter en sauvegardant)
        </p>

        <p>
          Finalement, on active l&#039;hôte virtuel et on recharge la configuration d&#039;Apache :
        </p>
        <pre class="code">sudo a2ensite wordpress
sudo systemctl reload apache2</pre>
        <div class="noteimportant">Si votre serveur est sur le <a href="/web" class="wikilink1" title="web">Web</a>,
          pensez à <a href="/apache2#securite" class="wikilink1" title="apache2">sécuriser</a> l&#039;accès au site en
          particulier en forçant <a href="/apache2#https" class="wikilink1" title="apache2">HTTPS</a>.
        </div>
      </div>
      <div class='secedit editbutton_section editbutton_3'>
        <form class="button btn_secedit form-inline" method="post" action="/wordpress">
          <div class="no"><input type="hidden" name="do" value="edit" /><input type="hidden" name="rev"
              value="1590995398" /><input type="hidden" name="summary" value="[Prérequis] " /><input type="hidden"
              name="target" value="section" /><input type="hidden" name="hid" value="prerequis" /><input type="hidden"
              name="codeblockOffset" value="0" /><input type="hidden" name="range" value="1668-3769" /><button
              type="submit" title="Prérequis" class=" btn btn-default btn btn-xs btn-default">Modifier</button></div>
        </form>
      </div>
      <h3 class="sectionedit4" id="installation_de_wordpress">Installation de WordPress</h3>
      <div class="level3">

      </div>

      <h4 id="copie_des_fichiers">Copie des fichiers</h4>
      <div class="level4">

        <p>
          Tout d&#039;​abord téléchargeons la dernière version de WordPress :
        </p>
        <pre class="code">wget https://fr.wordpress.org/wordpress-latest-fr_FR.zip</pre>

        <p>
          Ensuite nous allons extraire le contenu du zip à la racine de notre hôte virtuel
          (<code>/var/www/wordpress</code> dans cet exemple) :
        </p>
        <pre class="code">sudo unzip wordpress-latest-fr_FR.zip -d /var/www</pre>

        <p>
          On va renforcer légèrement la sécurité en attribuant des <a href="/apache2#permissions" class="wikilink1"
            title="apache2">droits</a> un peu restrictifs aux fichiers :
        </p>
        <pre class="code">sudo chown www-data:www-data /var/www/wordpress -R
sudo chmod -R -wx,u+rwX,g+rX,o+rX /var/www/wordpress</pre>

        <p>
          (WordPress <a href="https://codex.wordpress.org/Updating_WordPress#File_Ownership" class="urlextern"
            title="https://codex.wordpress.org/Updating_WordPress#File_Ownership" rel="nofollow">exige</a> que les
          fichiers soient modifiables par le serveur <em class="u">et</em> appartiennent à <code>www-data</code> pour
          faire fonctionner les mises à jour automatiques)
        </p>

      </div>

      <h4 id="creation_de_la_base_de_donnees">Création de la base de données</h4>
      <div class="level4">

        <p>
          Pour créer la base de données qu&#039;utilisera WordPress, le plus simple est de se connecter avec le client
          <a href="/mysql" class="wikilink1" title="mysql">MySQL</a> :
        </p>
        <pre class="code">sudo mysql</pre>

        <p>
          On arrive alors sur la console SQL sur laquelle nous allons entrer ces commandes (en remplaçant
          <code>mot_de_passe</code>) :
        </p>
        <pre class="code mysql"><a href="http://search.oracle.com/search/search?group=MySQL&amp;q=CREATE"><span class="kw1">CREATE</span></a> <a href="http://search.oracle.com/search/search?group=MySQL&amp;q=DATABASE"><span class="kw2">DATABASE</span></a> wordpress<span class="sy2">;</span>
<a href="http://search.oracle.com/search/search?group=MySQL&amp;q=CREATE"><span class="kw1">CREATE</span></a> <a href="http://dev.mysql.com/doc/refman/%35%2E%31/en/information-functions.html"><span class="kw23">USER</span></a> <span class="st0">'wpuser'</span>@<span class="st0">'localhost'</span> IDENTIFIED BY <span class="st0">'mot<span class="es1">_</span>de<span class="es1">_</span>passe'</span><span class="sy2">;</span>
<a href="http://search.oracle.com/search/search?group=MySQL&amp;q=GRANT"><span class="kw1">GRANT</span></a> <a href="http://search.oracle.com/search/search?group=MySQL&amp;q=ALL"><span class="kw1">ALL</span></a> <a href="http://search.oracle.com/search/search?group=MySQL&amp;q=ON"><span class="kw1">ON</span></a> wordpress.<span class="sy1">*</span> <a href="http://search.oracle.com/search/search?group=MySQL&amp;q=TO"><span class="kw1">TO</span></a> <span class="st0">'wpuser'</span>@<span class="st0">'localhost'</span><span class="sy2">;</span>
FLUSH <a href="http://search.oracle.com/search/search?group=MySQL&amp;q=PRIVILEGES"><span class="kw1">PRIVILEGES</span></a><span class="sy2">;</span>
QUIT<span class="sy2">;</span></pre>

        <p>
          Il faut remplacer <code>mot_de_passe</code> par un vrai mot de passe complexe qu&#039;on note pour la
          prochaine étape.
        </p>

        <p>
          On vient de créer la base de donnée <code>wordpress</code> à laquelle l&#039;utilisateur <code>wpuser</code>
          aura accès.
        </p>

      </div>

      <h4 id="installation_via_l_interface_web">Installation via l&#039;interface web</h4>
      <div class="level4">

        <p>
          WordPress devrait alors être accessible à l&#039;​adresse <a href="http://wordpress.localhost/"
            class="urlextern" title="http://wordpress.localhost/" rel="nofollow">http://wordpress.localhost/</a>, et
          cette adresse nous redirige sur une interface qui nous permet de finaliser l&#039;installation.
        </p>

        <p>
          Cliquez sur <em>C&#039;est parti !</em> et renseignez les différents champs :
        </p>
        <ul class=" fix-media-list-overlap">
          <li class="level1">
            <div class="li"> <strong>Nom de la base de données</strong> : <code>wordpress</code></div>
          </li>
          <li class="level1">
            <div class="li"> <strong>Identifiant</strong> : <code>wpuser</code></div>
          </li>
          <li class="level1">
            <div class="li"> <strong>Mot de passe</strong> : le mot de passe qu&#039;on a noté à l&#039;étape précédente
              (lors de la création de la base de donnée et de l&#039;utilisateur <code>wpuser</code>)</div>
          </li>
          <li class="level1">
            <div class="li"> <strong>Adresse de la base de données</strong> : <code>localhost</code></div>
          </li>
          <li class="level1">
            <div class="li"> <strong>Préfixe des tables</strong> : <code>wp_</code></div>
          </li>
        </ul>

        <p>
          Après avoir cliqué sur <em>Lancer l&#039;installation</em>, on tombe sur un second formulaire.
        </p>

        <p>
          Il s&#039;agit cette fois de définir un administrateur pour WordPress. Les champs sont assez clairs.<br />

          Le <strong>titre du site</strong> sera visible par les internautes.<br />

          Concernant le <strong>mot de passe</strong> il est conseillé de conserver celui proposé par défaut qui est
          très fort. Vous pouvez par exemple le sauvegarder dans un gestionnaire de mots de passe tel que <a
            href="/keepassx" class="wikilink1" title="keepassx">KeePass</a>.<br />

          Il est conseillé également de renseigner une <strong>adresse de messagerie</strong> existante, ce qui vous
          permettra de récupérer votre mot de passe en cas de perte, ou de faire fonctionner les notifications par
          courriel.
        </p>

      </div>
      <div class='secedit editbutton_section editbutton_4'>
        <form class="button btn_secedit form-inline" method="post" action="/wordpress">
          <div class="no"><input type="hidden" name="do" value="edit" /><input type="hidden" name="rev"
              value="1590995398" /><input type="hidden" name="summary" value="[Installation de WordPress] " /><input
              type="hidden" name="target" value="section" /><input type="hidden" name="hid"
              value="installation_de_wordpress" /><input type="hidden" name="codeblockOffset" value="4" /><input
              type="hidden" name="range" value="3770-6637" /><button type="submit" title="Installation de WordPress"
              class=" btn btn-default btn btn-xs btn-default">Modifier</button></div>
        </form>
      </div>
      <h2 class="sectionedit5 page-header" id="utilisation">Utilisation</h2>
      <div class="level2">

      </div>
      <div class='secedit editbutton_section editbutton_5'>
        <form class="button btn_secedit form-inline" method="post" action="/wordpress">
          <div class="no"><input type="hidden" name="do" value="edit" /><input type="hidden" name="rev"
              value="1590995398" /><input type="hidden" name="summary" value="[Utilisation] " /><input type="hidden"
              name="target" value="section" /><input type="hidden" name="hid" value="utilisation" /><input type="hidden"
              name="codeblockOffset" value="9" /><input type="hidden" name="range" value="6638-6662" /><button
              type="submit" title="Utilisation" class=" btn btn-default btn btn-xs btn-default">Modifier</button></div>
        </form>
      </div>
      <h3 class="sectionedit6" id="contenu_editorial">Contenu éditorial</h3>
      <div class="level3">

        <p>
          La contenu éditorial de WordPress est principalement de deux types :
        </p>
        <ul class=" fix-media-list-overlap">
          <li class="level1">
            <div class="li"> les <em>pages</em>, qui sont les éléments constituants des &quot;sites classiques&quot;, et
              sont en général structurées par arborescence (menu, sous-menu)</div>
          </li>
          <li class="level1">
            <div class="li"> les <em>articles</em>, qui sont les éléments constituants des blogs, et sont liés à une
              notion d&#039;actualité (tri par date)</div>
          </li>
        </ul>

        <div class="table-responsive"><table class="inline table table-striped table-condensed">
          <thead>
          <tr class="row0">
            <th class="col0"> Nom </th><th class="col1"> Description </th><th class="col2"> Plugins </th><th class="col3"> Environnement </th><th class="col4"> Installation </th>
          </tr>
          </thead>
          <tr class="row1">
            <td class="col0"> <a href="/ardour" class="wikilink1" title="ardour">Ardour</a> </td><td class="col1"> puissant studio d&#039;enregistrement et de mixage (DAW) </td><td class="col2"> <a href="/ladspa" class="wikilink1" title="ladspa">LADSPA</a> <a href="/lv2" class="wikilink1" title="lv2">LV2</a> <a href="/vst" class="wikilink1" title="vst">VST</a> </td><td class="col3"> <a href="/jackd" class="wikilink1" title="jackd">JACK</a> ALSA PulseAudio </td><td class="col4"> <a href="apt://ardour3" class="interwiki iw_apt" title="apt://ardour3">ardour3</a> </td>
          </tr>
          <tr class="row2">
            <td class="col0"> <a href="/audacity" class="wikilink1" title="audacity">Audacity</a> </td><td class="col1"> éditeur audio </td><td class="col2"> <a href="/ladspa" class="wikilink1" title="ladspa">LADSPA</a> <a href="/lv2" class="wikilink1" title="lv2">LV2</a> </td><td class="col3"> <a href="/jackd" class="wikilink1" title="jackd">JACK</a> ALSA PulseAudio <abbr title="Open Source Software">OSS</abbr> </td><td class="col4"> <a href="apt://audacity" class="interwiki iw_apt" title="apt://audacity">audacity</a> </td>
          </tr>
          <tr class="row3">
            <td class="col0"> <a href="/mhwaveedit" class="wikilink1" title="mhwaveedit">Mhwaveedit</a> </td><td class="col1"> éditeur audio </td><td class="col2"> <a href="/ladspa" class="wikilink1" title="ladspa">LADSPA</a> </td><td class="col3"> </td><td class="col4"> <a href="apt://mhwaveedit" class="interwiki iw_apt" title="apt://mhwaveedit">mhwaveedit</a></td>
          </tr>
          <tr class="row4">
            <td class="col0"> <a href="http://www.speech.kth.se/wavesurfer/" class="urlextern" title="http://www.speech.kth.se/wavesurfer/" rel="nofollow">wavesurfer</a> </td><td class="col1"> éditeur audio </td><td class="col2"> </td><td class="col3"> </td><td class="col4"> <a href="apt://wavesurfer" class="interwiki iw_apt" title="apt://wavesurfer">wavesurfer</a></td>
          </tr>
          <tr class="row5">
            <td class="col0"> <a href="http://rezound.sourceforge.net/" class="urlextern" title="http://rezound.sourceforge.net/" rel="nofollow">Rezound</a> </td><td class="col1"> éditeur audio </td><td class="col2"> <a href="/ladspa" class="wikilink1" title="ladspa">LADSPA</a> </td><td class="col3"> </td><td class="col4"> <a href="apt://rezound" class="interwiki iw_apt" title="apt://rezound">rezound</a></td>
          </tr>
          <tr class="row6">
            <td class="col0"> <a href="http://www.jokosher.org/" class="urlextern" title="http://www.jokosher.org/" rel="nofollow">Jokosher</a> (abandonné) </td><td class="col1"> enregistrement et mixage </td><td class="col2"> <a href="/ladspa" class="wikilink1" title="ladspa">LADSPA</a> </td><td class="col3"> </td><td class="col4"> <a href="apt://jokosher" class="interwiki iw_apt" title="apt://jokosher">jokosher</a></td>
          </tr>
          <tr class="row7">
            <td class="col0"> <a href="https://www.ocenaudio.com/" class="urlextern" title="https://www.ocenaudio.com/" rel="nofollow">ocenaudio</a> </td><td class="col1"> puissant éditeur audio (propriétaire) </td><td class="col2"> <a href="/vst" class="wikilink1" title="vst">VST</a> </td><td class="col3"> <a href="/jackd" class="wikilink1" title="jackd">JACK</a> ALSA PulseAudio </td><td class="col4"> <a href="https://www.ocenaudio.com/download" class="urlextern" title="https://www.ocenaudio.com/download" rel="nofollow">paquets deb</a> </td>
          </tr>
        </table></div>

      </div>
      <div class='secedit editbutton_section editbutton_6'>
        <form class="button btn_secedit form-inline" method="post" action="/wordpress">
          <div class="no"><input type="hidden" name="do" value="edit" /><input type="hidden" name="rev"
              value="1590995398" /><input type="hidden" name="summary" value="[Contenu éditorial] " /><input
              type="hidden" name="target" value="section" /><input type="hidden" name="hid"
              value="contenu_editorial" /><input type="hidden" name="codeblockOffset" value="9" /><input type="hidden"
              name="range" value="6663-7038" /><button type="submit" title="Contenu éditorial"
              class=" btn btn-default btn btn-xs btn-default">Modifier</button></div>
        </form>
      </div>
      <h3 class="sectionedit7" id="extensions">Extensions</h3>
      <div class="level3">

        <p>
          Pour installer des extensions, depuis l&#039;administration allez sur <em>Extension</em> → <em>Ajouter</em> :
          vous aurez accès à toutes les extensions de la <a href="https://wordpress.org/plugins/browse/popular/"
            class="urlextern" title="https://wordpress.org/plugins/browse/popular/" rel="nofollow">base de données
            officielle de WordPress</a>.
        </p>

        <p>
          Nous n&#039;allons évidemment pas dresser la liste exhaustive des plus de 50000 extensions disponibles, mais
          certaines d&#039;entre elles sont incontournables :
        </p>
        <ul class=" fix-media-list-overlap">
          <li class="level1">
            <div class="li"> <em><strong><a href="https://fr.wordpress.org/plugins/wp-super-cache/" class="urlextern"
                    title="https://fr.wordpress.org/plugins/wp-super-cache/" rel="nofollow">WP Super
                    Cache</a></strong></em> : confère à WordPress une fonctionnalité d&#039;optimisation indispensable
              pour accélérer l&#039;affichage du site, et alléger la charge de travail côté serveur.</div>
          </li>
          <li class="level1">
            <div class="li"> <em><strong><a href="https://fr.wordpress.org/plugins/wp-force-ssl/" class="urlextern"
                    title="https://fr.wordpress.org/plugins/wp-force-ssl/" rel="nofollow">WP Force SSL</a></strong></em>
              : force l&#039;utilisation de <a href="/apache2#https" class="wikilink1" title="apache2">HTTPS</a>, ce qui
              évite que le contenu web et les variables d&#039;identifications des utilisateurs transitent en clair sur
              Internet.</div>
          </li>
          <li class="level1">
            <div class="li"> <em><strong><a href="https://fr.wordpress.org/plugins/polylang/" class="urlextern"
                    title="https://fr.wordpress.org/plugins/polylang/" rel="nofollow">Polylang</a></strong></em> :
              incontournable pour les sites multilingues.</div>
          </li>
        </ul>
        <div class="noteimportant">La qualité des extensions de WordPress est très variable. De plus, chacune est
          potentiellement source de lenteurs et de failles de sécurités.
          <p>
            N&#039;installez que des extensions qui vous sont indispensables et en lesquelles vous avez confiance.
          </p>

        </div>
      </div>
      <div class='secedit editbutton_section editbutton_7'>
        <form class="button btn_secedit form-inline" method="post" action="/wordpress">
          <div class="no"><input type="hidden" name="do" value="edit" /><input type="hidden" name="rev"
              value="1590995398" /><input type="hidden" name="summary" value="[Extensions] " /><input type="hidden"
              name="target" value="section" /><input type="hidden" name="hid" value="extensions" /><input type="hidden"
              name="codeblockOffset" value="9" /><input type="hidden" name="range" value="7039-8315" /><button
              type="submit" title="Extensions" class=" btn btn-default btn btn-xs btn-default">Modifier</button></div>
        </form>
      </div>
      <h3 class="sectionedit8" id="themes">Thèmes</h3>
      <div class="level3">

        <p>
          Pour installer un thème, depuis l&#039;administration allez sur <em>Apparence</em> → <em>Thèmes</em> →
          <em>Ajouter</em> : vous aurez accès à tous les thèmes de la <a href="https://wordpress.org/themes/"
            class="urlextern" title="https://wordpress.org/themes/" rel="nofollow">base de données officielle de
            WordPress</a>.
        </p>
        <div class="noteimportant">De la même manière que les autres extensions, les thèmes peuvent être source de
          failles de sécurité. N&#039;utilisez que des thèmes fiables et maintenus, et maintenez-les à jour autant que
          possible.
        </div>
      </div>
      <div class='secedit editbutton_section editbutton_8'>
        <form class="button btn_secedit form-inline" method="post" action="/wordpress">
          <div class="no"><input type="hidden" name="do" value="edit" /><input type="hidden" name="rev"
              value="1590995398" /><input type="hidden" name="summary" value="[Thèmes] " /><input type="hidden"
              name="target" value="section" /><input type="hidden" name="hid" value="themes" /><input type="hidden"
              name="codeblockOffset" value="9" /><input type="hidden" name="range" value="8316-8787" /><button
              type="submit" title="Thèmes" class=" btn btn-default btn btn-xs btn-default">Modifier</button></div>
        </form>
      </div>
      <h2 class="sectionedit9 page-header" id="problemes_courants">Problèmes courants</h2>
      <div class="level2">

      </div>
      <div class='secedit editbutton_section editbutton_9'>
        <form class="button btn_secedit form-inline" method="post" action="/wordpress">
          <div class="no"><input type="hidden" name="do" value="edit" /><input type="hidden" name="rev"
              value="1590995398" /><input type="hidden" name="summary" value="[Problèmes courants] " /><input
              type="hidden" name="target" value="section" /><input type="hidden" name="hid"
              value="problemes_courants" /><input type="hidden" name="codeblockOffset" value="9" /><input type="hidden"
              name="range" value="8788-8820" /><button type="submit" title="Problèmes courants"
              class=" btn btn-default btn btn-xs btn-default">Modifier</button></div>
        </form>
      </div>
      <h3 class="sectionedit10" id="changement_de_domaine">Changement de domaine</h3>
      <div class="level3">

        <p>
          WordPress a la mauvaise idée de stocker en dur (en base de données, par défaut, et / ou en fichier de
          configuration) le nom de domaine utilisé lors de son installation, et s&#039;obstine à rediriger dessus même
          lorsqu&#039;il est appelé depuis une autre adresse.
        </p>

        <p>
          Ce comportement pose problème lors d&#039;un changement de nom de domaine, pour une mise en production par
          exemple.
        </p>

        <p>
          Par défaut on peut modifier ce nom de domaine depuis l&#039;interface d&#039;administration →
          <em>Réglages</em> → <em>Général</em> → <em>Adresse web de WordPress (<abbr
              title="Uniform Resource Locator">URL</abbr>)</em> et <em>Adresse web du site (<abbr
              title="Uniform Resource Locator">URL</abbr>)</em>.
        </p>

        <p>
          Si ces champs sont grisés et non modifiables, cela signifie que ces infos sont spécifiées en dur dans le
          fichier de configuration de WordPress. Il vous faut dans ce cas <a
            href="/tutoriel/comment_modifier_un_fichier" class="wikilink1"
            title="tutoriel:comment_modifier_un_fichier">éditer manuellement</a> le fichier <code>wp-config.php</code>
          (à la racine de WordPress) et ajuster les lignes suivantes :
        </p>
        <dl class="file">
          <dt><a href="/_export/code/wordpress?codeblock=9" title="Télécharger cet extrait"
              class="mediafile mf_php">wp-config.php</a></dt>
          <dd>
            <pre class="file">define( &#039;WP_HOME&#039;, &#039;http://example.com&#039; );
define( &#039;WP_SITEURL&#039;, &#039;http://example.com&#039; );</pre>
          </dd>
        </dl>

        <p>
          Par ailleurs il est fort probable que votre ancien nom de domaine apparaisse également dans le contenu
          éditorial de votre site (chemin vers une image ou autre lien hypertexte). Dans ce cas la méthode la plus
          simple est de lancer un remplacement automatisé de votre ancien nom de domaine vers votre nouveau dans le
          fichier SQL, entre son export depuis son ancien emplacement, et son import sur le nouveau serveur. Vous pouvez
          effectuer cela par exemple avec un éditeur de texte ou avec la commande <a href="/sed" class="wikilink1"
            title="sed">sed</a> :
        </p>
        <pre
          class="code">sed -i &quot;s/http\:\/\/ancien\.example\.com/https\:\/\/nouveau\.example\.com/g&quot; wordpress.sql</pre>

      </div>
      <div class='secedit editbutton_section editbutton_10'>
        <form class="button btn_secedit form-inline" method="post" action="/wordpress">
          <div class="no"><input type="hidden" name="do" value="edit" /><input type="hidden" name="rev"
              value="1590995398" /><input type="hidden" name="summary" value="[Changement de domaine] " /><input
              type="hidden" name="target" value="section" /><input type="hidden" name="hid"
              value="changement_de_domaine" /><input type="hidden" name="codeblockOffset" value="9" /><input
              type="hidden" name="range" value="8821-10482" /><button type="submit" title="Changement de domaine"
              class=" btn btn-default btn btn-xs btn-default">Modifier</button></div>
        </form>
      </div>
      <h3 class="sectionedit11" id="mot_de_passe_administrateur_perdu">Mot de passe administrateur perdu</h3>
      <div class="level3">

        <p>
          Vous pouvez modifier le mot de passe de l&#039;administrateur WordPress en vous connectant à la console MySQL
        </p>
        <pre class="code">sudo mysql</pre>

        <p>
          Puis en entrant les commandes suivantes :
        </p>
        <pre class="code mysql"><a href="http://search.oracle.com/search/search?group=MySQL&amp;q=USE"><span class="kw1">USE</span></a> wordpress<span class="sy2">;</span>
<a href="http://search.oracle.com/search/search?group=MySQL&amp;q=UPDATE"><span class="kw1">UPDATE</span></a> wp_users <a href="http://search.oracle.com/search/search?group=MySQL&amp;q=SET"><span class="kw1">SET</span></a> user_pass<span class="sy1">=</span><a href="http://dev.mysql.com/doc/refman/%35%2E%31/en/encryption-functions.html"><span class="kw21">MD5</span></a><span class="br0">&#40;</span><span class="st0">'mot<span class="es1">_</span>de<span class="es1">_</span>passe'</span><span class="br0">&#41;</span> <a href="http://search.oracle.com/search/search?group=MySQL&amp;q=WHERE"><span class="kw1">WHERE</span></a> user_login <span class="sy1">=</span> <span class="st0">'admin'</span><span class="sy2">;</span>
EXIT</pre>

        <p>
          où <code>wordpress</code> est le nom de votre base de données, <code>admin</code> le nom d&#039;utilisateur de
          l&#039;administrateur, et <code>mot_de_passe</code> est votre nouveau mot de passe.
        </p>

      </div>
      <div class='secedit editbutton_section editbutton_11'>
        <form class="button btn_secedit form-inline" method="post" action="/wordpress">
          <div class="no"><input type="hidden" name="do" value="edit" /><input type="hidden" name="rev"
              value="1590995398" /><input type="hidden" name="summary"
              value="[Mot de passe administrateur perdu] " /><input type="hidden" name="target" value="section" /><input
              type="hidden" name="hid" value="mot_de_passe_administrateur_perdu" /><input type="hidden"
              name="codeblockOffset" value="11" /><input type="hidden" name="range" value="10483-10977" /><button
              type="submit" title="Mot de passe administrateur perdu"
              class=" btn btn-default btn btn-xs btn-default">Modifier</button></div>
        </form>
      </div>
      <h2 class="sectionedit12 page-header" id="aller_plus_loin">Aller plus loin</h2>
      <div class="level2">

      </div>
      <div class='secedit editbutton_section editbutton_12'>
        <form class="button btn_secedit form-inline" method="post" action="/wordpress">
          <div class="no"><input type="hidden" name="do" value="edit" /><input type="hidden" name="rev"
              value="1590995398" /><input type="hidden" name="summary" value="[Aller plus loin] " /><input type="hidden"
              name="target" value="section" /><input type="hidden" name="hid" value="aller_plus_loin" /><input
              type="hidden" name="codeblockOffset" value="13" /><input type="hidden" name="range"
              value="10978-11006" /><button type="submit" title="Aller plus loin"
              class=" btn btn-default btn btn-xs btn-default">Modifier</button></div>
        </form>
      </div>
      <h3 class="sectionedit13" id="multisite">Multisite</h3>
      <div class="level3">

        <p>
          WordPress permet de gérer plusieurs sites depuis une instance unique. Cette fonctionnalité consiste à afficher
          différents contenus et différents thèmes en fonction du nom de domaine appelé. On peut ainsi gérer plusieurs
          sites distincts pour les internautes depuis une interface unique et un même compte administrateur. De plus on
          a un seul <a href="/cms" class="wikilink1" title="cms">CMS</a> à maintenir à jour.
        </p>

        <p>
          Pour que cela fonctionne il faut avant tout que les différents <a
            href="https://fr.wikipedia.org/wiki/https://fr.wikipedia.org/wiki/Nom_de_domaine" class="interwiki iw_wpfr"
            title="https://fr.wikipedia.org/wiki/https://fr.wikipedia.org/wiki/Nom_de_domaine">noms de domaine</a>
          pointent tous sur votre serveur web.<br />

          Il faut également que notre serveur web affiche WordPress pour chacun de ces noms de domaine. Si on utilise <a
            href="/apache2" class="wikilink1" title="apache2">Apache</a> il faut par ex. ajouter chacun de ces noms de
          domaine à la directive <a href="https://httpd.apache.org/docs/2.4/fr/mod/core.html#serveralias"
            class="urlextern" title="https://httpd.apache.org/docs/2.4/fr/mod/core.html#serveralias"
            rel="nofollow">ServerAlias</a> de notre <a href="/apache2#hotes_virtuels" class="wikilink1"
            title="apache2">VirtualHost</a>.
        </p>

        <p>
          Voici un exemple grâce auquel WordPress pourra prendre en charge les domaines <code>example.com</code>,
          <code>example.org</code>, ainsi que n&#039;importe quel sous-domaine de <code>example.com</code> :
        </p>
        <dl class="file">
          <dt><a href="/_export/code/wordpress?codeblock=13" title="Télécharger cet extrait"
              class="mediafile mf_conf">wordpress.conf</a></dt>
          <dd>
            <pre class="file">&lt;VirtualHost *:80&gt;
  ServerName example.com
  ServerAlias example.org *.example.com
  DocumentRoot /var/www/wordpress
  &lt;Directory /var/www/wordpress&gt;
          AllowOverride all
          Require all granted
  &lt;/Directory&gt;
  ErrorLog /var/log/apache2/error.wordpress.log
  CustomLog /var/log/apache2/access.wordpress.log combined
&lt;/VirtualHost&gt;</pre>
          </dd>
        </dl>

        <p>
          Une fois ce fichier modifié on recharge la configuration d&#039;<a href="/apache2" class="wikilink1"
            title="apache2">Apache</a> :
        </p>
        <pre class="code">sudo systemctl reload apache2</pre>

      </div>
      <div class='secedit editbutton_section editbutton_13'>
        <form class="button btn_secedit form-inline" method="post" action="/wordpress">
          <div class="no"><input type="hidden" name="do" value="edit" /><input type="hidden" name="rev"
              value="1590995398" /><input type="hidden" name="summary" value="[Multisite] " /><input type="hidden"
              name="target" value="section" /><input type="hidden" name="hid" value="multisite" /><input type="hidden"
              name="codeblockOffset" value="13" /><input type="hidden" name="range" value="11007-12640" /><button
              type="submit" title="Multisite" class=" btn btn-default btn btn-xs btn-default">Modifier</button></div>
        </form>
      </div>
      <h3 class="sectionedit14" id="wp-cli">WP-CLI</h3>
      <div class="level3">

        <p>
          Comme indiqué sur la page d&#039;accueil du projet : &quot;<a href="https://wp-cli.org/fr/" class="urlextern"
            title="https://wp-cli.org/fr/" rel="nofollow">WP-CLI</a> est un ensemble d’outils en ligne de commande pour
          gérer vos installations WordPress. Vous pouvez mettre à jour les extensions, configurer des installations
          multisite et beaucoup plus sans avoir recours à un navigateur web.&quot;
        </p>

        <p>
          Comme WP-CLI est exécuté par l&#039;utilisateur Linux courant, cela permet par ex. d&#039;améliorer la
          sécurité de WordPress en effectuant ses mises à jour malgré des permissions plus strictes pour le serveur. Ou
          encore d&#039;écrire des scripts <a href="/tutoriel/script_shell" class="wikilink1"
            title="tutoriel:script_shell">bash</a> ou <a href="/make" class="wikilink1" title="make">Make</a> pour
          déployer WordPress de manière automatisée (WP-CLI permet par ex. d&#039;exporter / importer la base de données
          en remplaçant au passage toutes les occurrences de l&#039;<abbr title="Uniform Resource Locator">URL</abbr>
          locale par celle du nom de domaine de production, et d&#039;activer ou de désactiver des plugins).
        </p>

      </div>
      <div class='secedit editbutton_section editbutton_14'>
        <form class="button btn_secedit form-inline" method="post" action="/wordpress">
          <div class="no"><input type="hidden" name="do" value="edit" /><input type="hidden" name="rev"
              value="1590995398" /><input type="hidden" name="summary" value="[WP-CLI] " /><input type="hidden"
              name="target" value="section" /><input type="hidden" name="hid" value="wp-cli" /><input type="hidden"
              name="codeblockOffset" value="15" /><input type="hidden" name="range" value="12641-13525" /><button
              type="submit" title="WP-CLI" class=" btn btn-default btn btn-xs btn-default">Modifier</button></div>
        </form>
      </div>
      <h3 class="sectionedit15" id="composer">Composer</h3>
      <div class="level3">

        <p>
          Il existe deux projets permettant de déployer WordPress au moyen de <a href="/composer" class="wikilink1"
            title="composer">Composer</a>. Il s&#039;agit de <a href="https://roots.io/bedrock/" class="urlextern"
            title="https://roots.io/bedrock/" rel="nofollow">Bedrock</a> et <a href="https://wordplate.github.io/"
            class="urlextern" title="https://wordplate.github.io/" rel="nofollow">WordPlate</a>. Ce sont des options
          très pratiques en particulier pour les développeurs web. En plus de simplifier l&#039;installation ils
          intègrent de nombreux outils et le dépôt <a href="https://wpackagist.org/" class="urlextern"
            title="https://wpackagist.org/" rel="nofollow">WordPress Packagist</a> qui permet d&#039;installer les
          extensions et les thèmes de WordPress comme de simples librairies PHP.
        </p>

        <p>
          Les deux projets sont légèrement différents, vous trouverez de très bons tutoriels en français <a
            href="https://www.grafikart.fr/tutoriels/wordpress-bedrock-1305" class="urlextern"
            title="https://www.grafikart.fr/tutoriels/wordpress-bedrock-1305" rel="nofollow">ici pour Bedrock</a> et <a
            href="https://www.grafikart.fr/tutoriels/wordplate-973" class="urlextern"
            title="https://www.grafikart.fr/tutoriels/wordplate-973" rel="nofollow">là pour Wordplate</a>.
        </p>

      </div>
      <div class='secedit editbutton_section editbutton_15'>
        <form class="button btn_secedit form-inline" method="post" action="/wordpress">
          <div class="no"><input type="hidden" name="do" value="edit" /><input type="hidden" name="rev"
              value="1590995398" /><input type="hidden" name="summary" value="[Composer] " /><input type="hidden"
              name="target" value="section" /><input type="hidden" name="hid" value="composer" /><input type="hidden"
              name="codeblockOffset" value="15" /><input type="hidden" name="range" value="13526-14295" /><button
              type="submit" title="Composer" class=" btn btn-default btn btn-xs btn-default">Modifier</button></div>
        </form>
      </div>
      <h2 class="sectionedit16 page-header" id="voir_aussi">Voir aussi</h2>
      <div class="level2">
        <ul class=" fix-media-list-overlap">
          <li class="level1">
            <div class="li"> <a href="https://fr.wordpress.org/" class="urlextern" title="https://fr.wordpress.org/"
                rel="nofollow">fr.wordpress.org</a> : site officiel</div>
          </li>
          <li class="level1">
            <div class="li"> <a href="https://wpfr.net/" class="urlextern" title="https://wpfr.net/"
                rel="nofollow">wpfr.net</a> : communauté francophone</div>
          </li>
          <li class="level1">
            <div class="li"> <a href="https://www.geekeries.fr/" class="urlextern" title="https://www.geekeries.fr/"
                rel="nofollow">www.geekeries.fr</a> : présentations de ressources WordPress</div>
          </li>
          <li class="level1">
            <div class="li"> <a href="https://www.grafikart.fr/tutoriels/wordpress" class="urlextern"
                title="https://www.grafikart.fr/tutoriels/wordpress" rel="nofollow">www.grafikart.fr</a> : tutoriels
              pour les développeurs</div>
          </li>
        </ul>
        <hr />

        <p>
          <em>Contributeurs : <a href="/utilisateurs/krodelabestiole" class="wikilink1"
              title="utilisateurs:krodelabestiole">krodelabestiole</a>, <a href="/utilisateurs/psychederic"
              class="wikilink1" title="utilisateurs:psychederic">Psychederic</a></em>
        </p>

      </div>
      <div class='secedit editbutton_section editbutton_16'>
        <form class="button btn_secedit form-inline" method="post" action="/wordpress">
          <div class="no"><input type="hidden" name="do" value="edit" /><input type="hidden" name="rev"
              value="1590995398" /><input type="hidden" name="summary" value="[Voir aussi] " /><input type="hidden"
              name="target" value="section" /><input type="hidden" name="hid" value="voir_aussi" /><input type="hidden"
              name="codeblockOffset" value="15" /><input type="hidden" name="range" value="14296-" /><button
              type="submit" title="Voir aussi" class=" btn btn-default btn btn-xs btn-default">Modifier</button></div>
        </form>
      </div>
    </div>


    <div id="control-panel">
      <div>
        <div id="handle"></div>
        <div id="controls">
          <!-- TOC START -->
          <div id="dw__toc">
            <div>
              <input type="search" placeholder="Rechercher" id="search">
              <ul>
                <li><a href="#">S'identifier</a></li>
              </ul>
            </div>
            <hr>
            <h3 class="toggle">Table des matières</h3>
            <div>
              <ul class="nav toc">
                <li class="level1"><a href="#installation">Installation</a>
                  <ul class="nav toc">
                    <li class="level2"><a href="#prerequis">Prérequis</a></li>
                    <li class="level2"><a href="#installation_de_wordpress">Installation de WordPress</a></li>
                  </ul>
                </li>
                <li class="level1"><a href="#utilisation">Utilisation</a>
                  <ul class="nav toc">
                    <li class="level2"><a href="#contenu_editorial">Contenu éditorial</a></li>
                    <li class="level2"><a href="#extensions">Extensions</a></li>
                    <li class="level2"><a href="#themes">Thèmes</a></li>
                  </ul>
                </li>
                <li class="level1"><a href="#problemes_courants">Problèmes courants</a>
                  <ul class="nav toc">
                    <li class="level2"><a href="#changement_de_domaine">Changement de domaine</a></li>
                    <li class="level2"><a href="#mot_de_passe_administrateur_perdu">Mot de passe administrateur perdu</a>
                    </li>
                  </ul>
                </li>
                <li class="level1"><a href="#aller_plus_loin">Aller plus loin</a>
                  <ul class="nav toc">
                    <li class="level2"><a href="#multisite">Multisite</a></li>
                    <li class="level2"><a href="#wp-cli">WP-CLI</a></li>
                    <li class="level2"><a href="#composer">Composer</a></li>
                  </ul>
                </li>
                <li class="level1"><a href="#voir_aussi">Voir aussi</a></li>
              </ul>
            </div>
          </div>
          <!-- TOC END -->
          <hr>
          <div>
            <nav class="modifbar">
              <div class="tools">
                <!-- USER TOOLS -->
                <div id="dokuwiki__usertools">
                  <h3 class="a11y">Outils pour contributeurs</h3>
                  <ul>
                  </ul>
                </div>

                <!-- SITE TOOLS -->
                <div id="dokuwiki__sitetools">
                  <ul>
                    <li><a href="/doku.php/wordpress?do=recent" class="action recent" accesskey="r" rel="nofollow"
                        title="Derniers changements [R]">Derniers changements</a></li>
                    <li><a href="/doku.php/wordpress?do=index" class="action index" accesskey="x" rel="nofollow"
                        title="Plan du site [X]">Plan du site</a></li>
                  </ul>
                </div>

                <!-- PAGE ACTIONS -->
                <div id="dokuwiki__pagetools">
                  <ul>
                    <li><a href="/doku.php/wordpress?do=edit" class="action edit" accesskey="e" rel="nofollow"
                        title="Modifier cette page [E]">Modifier cette page</a></li>
                    <li><bdi><a href="/doku.php/discussion/wordpress" class="wikilink2" title="discussion:wordpress"
                          rel="nofollow">Discussion</a></bdi></li>
                    <li><a href="/doku.php/wordpress?do=revisions" class="action revs" accesskey="o" rel="nofollow"
                        title="Anciennes révisions [O]">Anciennes révisions</a></li>
                    <li><a href="/doku.php/wordpress?do=backlink" class="action backlink" rel="nofollow"
                        title="Liens de retour">Liens de retour</a></li>
                  </ul>
                </div>

              </div>
            </nav>
          </div>
          <hr>
          <div>
            <h3>Divers</h3>
            <nav class="modifbar">
              <a href="">Participer à la documentation</a>
              <a href="">Documentation hors ligne</a>
              <a href="">Télécharger Ubuntu</a>
            </nav>
          </div>
        </div>
      </div>
    </aside>



  </main>
  <footer></footer>
</body>

</html>